
// #ifndef VUE3
import { createSSRApp } from 'vue';
import { createPinia } from 'pinia';
import Vue from 'vue'
import App from './App'

Vue.config.productionTip = false

App.mpType = 'app'
const app = createSSRApp(App)
  const pinia = createPinia();
  app.use(pinia); // 关键：注册Pinia到Vue实例<br> return { app, pinia };

const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import { createPinia } from 'pinia';
import Vue from 'vue'
import App from './App.vue'
export function createApp() {
  const app = createSSRApp(App)
  const pinia = createPinia();
  app.use(pinia); // 关键：注册Pinia到Vue实例<br> return { app, pinia };
  return {
    app
  }
}
// #endif